Package ghidra.framework.options

# Class ThemeFontOption

java.lang.Object
ghidra.framework.options.Option
ghidra.framework.options.ThemeFontOption

public class ThemeFontOption extends Option
Options implementation for theme font options. A ThemeFontOption is an option that, when changed, affects the current theme and is saved in the theme, instead of being saved with normal non-theme related options.

- ## Field Summary

  ### Fields inherited from class ghidra.framework.options.Option

  `UNREGISTERED_OPTION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ThemeFontOption(String optionName, String fontId, String description, HelpLocation help)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doSetCurrentValue(Object value)`
  `Font`
  `getCurrentValue()`
  `Object`
  `getDefaultValue()`
  `boolean`
  `isDefault()`
  `void`
  `restoreDefault()`

  ### Methods inherited from class ghidra.framework.options.Option

  `getDescription, getHelpLocation, getInceptionInformation, getName, getOptionType, getPropertyEditor, getValue, isRegistered, setCurrentValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ThemeFontOption

    public ThemeFontOption(String optionName, String fontId, String description, HelpLocation help)

- ## Method Details

  - ### getCurrentValue

    public Font getCurrentValue()
    Specified by:
      `getCurrentValue` in class `Option`

  - ### getDefaultValue

    public Object getDefaultValue()
    Overrides:
      `getDefaultValue` in class `Option`

  - ### doSetCurrentValue

    public void doSetCurrentValue(Object value)
    Specified by:
      `doSetCurrentValue` in class `Option`

  - ### isDefault

    public boolean isDefault()
    Overrides:
      `isDefault` in class `Option`

  - ### restoreDefault

    public void restoreDefault()
    Overrides:
      `restoreDefault` in class `Option`